// SEASHELL_READONLY

#include <stdbool.h>

// board_verify(brd, dim, count) returns true if there are exactly count
//   number of queens on the board brd (with width and height dim) so that no
//   two queens are threatening each other; otherwise, it returns false.
// time: O(dim^2)
bool board_verify(const bool *brd, int dim, int count);
