/////////////////////////////////////////////////////////////////////////////
// INTEGRITY STATEMENT (v3)
//
// By signing your name and ID below you are stating that you have agreed
// to the online academic integrity statement:
// https://student.cs.uwaterloo.ca/~cs136/current/assignments/integrity.shtml
/////////////////////////////////////////////////////////////////////////////
// I received help from and/or collaborated with: 
//
// ERROR_NO_INTEGRITY_STATEMENT 
//
// Name: ERROR_NO_NAME 
// login ID: ERROR_NO_LOGIN 
/////////////////////////////////////////////////////////////////////////////

#include <assert.h>
#include <stdio.h>
#include "sequence.h"

struct sequence {
  int len_cur;
  int len_max;
  void **data;
  void (*data_destroy)(void *);
  void (*data_print)(const void *);
  bool (*data_comp)(void *, void *);
};

// See sequence.h for details.
struct sequence *sequence_create(void (*data_destroy)(void *),
                                 void (*data_print)(const void *),
                                 bool (*data_comp)(void *, void *)) {
  // Your implementation goes here.
  return 0;
}

// See sequence.h for details.
void sequence_destroy(struct sequence *seq) {
  // Your implementation goes here.
}

// See sequence.h for details.
int sequence_length(const struct sequence *seq) {
  // Your implementation goes here.
  return -1;
}

// See sequence.h for details.
const void *sequence_item_at(const struct sequence *seq, int pos) {
  // Your implementation goes here.
  return 0;
}

// See sequence.h for details.
void sequence_insert_at(struct sequence *seq, int pos, void *val) {
  // Your implementation goes here.
}

// See sequence.h for details.
void *sequence_remove_at(struct sequence *seq, int pos) {
  // Your implementation goes here.
  return 0;
}

// See sequence.h for details.
void sequence_print(const struct sequence *seq) {
  assert(seq);
  printf("{");
  if (seq->len_cur > 0) {
    seq->data_print(seq->data[0]);
    for (int i = 1; i < seq->len_cur; ++i) {
      printf(", ");
      seq->data_print(seq->data[i]);
    }
  }
  printf("}\n");
}

// See sequence.h for details.
void sequence_sort(struct sequence *seq) {
  // Your implementation goes here.
}